Subject: Re: bug#38529: Make --ad-hoc the default for guix environment proposed deprecation mechanism

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 31 Dec 2019 20:09:23 +0100

Ludovic Courtès <[email-masked]> writes:

> Maybe “union”, “surround”, or… “profile”?

“profile” is a tempting choice, but it’s treacherous because we might be
blinded by the glow of the implementation of environments as volatile
profiles.  On the other hand: if we could also move some of the features
of the “package” sub-command under “profile” (e.g. those that relate to
the management of, well, profiles), that could be a winning move.

Tricky.

> (I’d reserve “guix spawn” or “guix run” for the tool that runs commands
> in a least-authority environment, as we’ve discussed in the past.)

Same.

--
Ricardo